aboutsummaryrefslogtreecommitdiff
path: root/batch/millerSectionFromInclude.sh
diff options
context:
space:
mode:
Diffstat (limited to 'batch/millerSectionFromInclude.sh')
-rwxr-xr-xbatch/millerSectionFromInclude.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/batch/millerSectionFromInclude.sh b/batch/millerSectionFromInclude.sh
new file mode 100755
index 0000000..3b24afa
--- /dev/null
+++ b/batch/millerSectionFromInclude.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+DEST="${1}"
+DEFN="${2}"
+
+if [ -z "${DEST}" -o -z "${DEFN}" ]; then
+ echo "usage: $0 [INCLUDE-FILE] [INCLUDE-DEFINITION]" >&2
+ false
+fi
+
+test -r ${DEST}
+OUTPUT=$(cat ${DEST} | sed -n 's/#define\s\+'"${DEFN}"'\s\+"\(.*\)"$/\1/p')
+echo -n ${OUTPUT}